﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BL.DTOs;

namespace BL.Interfaces
{
    public interface IFoorumService
    {
        IEnumerable<FoorumDTO> GetAll(bool withHidden = false, bool withPosts = false);
        FoorumDTO Get(int id, bool withPosts = true);
        FoorumDTO Add(FoorumDTO foorum);
        FoorumDTO Update(FoorumDTO foorum);
        FoorumDTO Hide(int id, bool hide = true);
        FoorumDTO Delete(int id);
        PostDTO AddPost(int id, PostDTO post);

        IEnumerable<FoorumDTO> SearchFoorumTitle(string query);
        IEnumerable<FoorumDTO> SearchFoorumAuthor(string query);
        IEnumerable<PostDTO> SearchPostAuthor(string query);

    }
}
