﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace DAL.Domain
{
    public class Foorum
    {
        [Key]
        public int FoorumId { get; set; }

        [MaxLength(length: 128)]
        [MinLength(length: 1)]
        public string Title { get; set; }

        [MaxLength(length: 256)]
        [MinLength(length: 1)]
        public string Description { get; set; }


        [MaxLength(length: 1024)]
        [MinLength(length: 1)]
        public string Body { get; set; }
        public DateTime CreationTime { get; set; }

        [MaxLength(length: 128)]
        [MinLength(length: 1)]
        public string Author { get; set; }

        public bool Visible { get; set; } = true;

        public virtual List<Post> Posts {get; set;} = new List<Post>();

    }
}
